local country "at au be ca cz dk ee fi fr de gr hu ie is it jp lt lu nl no pl sk si es se ch uk us"
local year "90 91 92 93 94 95 96 97 98 99 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18"
local country "es lu" 
local years90 "93 94 95 96 97" 
local years10 "03 04 05 06 07" 

foreach c of local country {

	clear
	// load datasests
	foreach y of local years90 {
		cap append using  ${`c'`y'p} 
	}
	gen byte period = 0
	foreach y of local years10 {
		cap append using ${`c'`y'p} 
	}
	replace period = 1 if mi(period)
	tab year period
 	
	// minimal cleaning
	drop if sex==3
	drop if missing(educlev)
	drop if missing(status1)
	drop if missing(inda1)
	count 
	if (r(N)>0) {
		gen byte completed = (enroll==0 & age>30) if !missing(educ_c)			/*	completed educ	*/
	    replace completed = 1 if !missing(educ_c) & (enroll==. & age>30)		/*	& age>30		*/
		gen workingage = (age>30 & age<=65) 									/*	agegroups		*/
		gen youngage = (age>30 & age<=40)
		gen tertiary = (educlev>=300) if educlev!=.
		
		qui sum status1		
		if (r(N)>0) {
			qui keep if completed==1 & age<=65 & (status1==100|status1==110|status1==120)
		}
		else {
			qui keep if completed==1 & age<=65 & (lfs==100)
		}
			
		qui gen capearn = pilabour
		*treat zeros as missing
		qui replace capearn = . if pilabour<=0
		*bottom at top coding at 1st/99th percentile*  
		qui summarize capearn [aweight=ppopwgt] , detail
		qui replace capearn = . if !inrange(capearn,r(p1),r(p99))
		gen lncapearn = ln(capearn)
		
		*gen self = (status1==210|status1==220|status1==240)
		
		gen age2 = age*age
		gen byte tersex = 10*tertiary + sex
		gen byte mter = tertiary==1 & sex==1
		gen byte fter = tertiary==1 & sex==2
		gen byte mnonter = tertiary==0 & sex==1
		gen byte fnonter = tertiary==0 & sex==2
		
        keep pid hid iso2 year period ppopwgt ///
			capearn lncapearn ///
			sex age age2 youngage workingage tertiary educ_c ///
			tersex mter fter mnonter fnonter ///
			ptime1 inda1 status1 
				
		tab tersex period
		tab tertiary period
		tab youngage
		gen upid = _n
		save ${mydata}/extract-`c' , replace
	}	
}













			
			







